<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:db="http://docbook.org/ns/docbook"
    xmlns:xl="http://www.w3.org/1999/xlink"
    exclude-result-prefixes="xs db xl"
    version="2.0"
    >
    <xsl:param name="filein" required="yes" as="xs:string"/>
    <xsl:output method="xml" indent="yes"/>
    
    <xsl:template match="db:article">
        <project name="DbToHd" default="dbhd">
            <target name="dbhd">
                <xsl:apply-templates select="//db:imageobject"/>
                <echo file="../out/mimetype">application/x-hdoc+zip</echo>
                <copy file="rsc/container.xml" tofile="../out/META-INF/container.xml"/>
                <xslt classpath="lib\saxon9he.jar" out="../out/content.xml" style="../XSL/DbToHdoc.xsl">
                    <xsl:attribute name="in">../DocBook/<xsl:value-of select="$filein"/>.xml</xsl:attribute>
                    <factory name="net.sf.saxon.TransformerFactoryImpl"/>
                </xslt>
            </target>
        </project>
    </xsl:template>
    
    <xsl:template match="db:section">
        <xsl:apply-templates select="db:mediaobject"/>
        <xsl:apply-templates select="db:section"/>
    </xsl:template>
    
    <xsl:template match="db:mediaobject">
        <xsl:apply-templates select="db:imageobject | db:textobject"/>
    </xsl:template>
    
    <xsl:template match="db:imageobject">
        <copy tofile="../out/META-INF/container.xml">
            <xsl:attribute name="file">../DocBook/<xsl:value-of select="db:imagedata/@fileref"/></xsl:attribute>
            <xsl:attribute name="tofile">../out/rsc/<xsl:value-of select="db:imagedata/@fileref"/></xsl:attribute>
        </copy>
    </xsl:template>
</xsl:stylesheet>